com.independentsoft.exchange

## Class DiscoverySearchConfiguration

- java.lang.Object
- - com.independentsoft.exchange.DiscoverySearchConfiguration

-     public class DiscoverySearchConfiguration
      extends java.lang.Object

  The Class DiscoverySearchConfiguration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoverySearchConfiguration()` Instantiates a new discovery search configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInPlaceHoldIdentity()` Gets the in place hold identity.
    `java.lang.String` | `getManagedByOrganization()` Gets the managed by organization.
    `java.util.List<SearchableMailbox>` | `getSearchableMailboxes()` Gets the searchable mailboxes.
    `java.lang.String` | `getSearchId()` Gets the search id.
    `java.lang.String` | `getSearchQuery()` Gets the search query.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoverySearchConfiguration

          public DiscoverySearchConfiguration()

      Instantiates a new discovery search configuration.

  - ### Method Detail

    - #### getSearchId

          public java.lang.String getSearchId()

      Gets the search id.
      Returns:
        the search id

    - #### getSearchQuery

          public java.lang.String getSearchQuery()

      Gets the search query.
      Returns:
        the search query

    - #### getSearchableMailboxes

          public java.util.List<SearchableMailbox> getSearchableMailboxes()

      Gets the searchable mailboxes.
      Returns:
        the searchable mailboxes

    - #### getInPlaceHoldIdentity

          public java.lang.String getInPlaceHoldIdentity()

      Gets the in place hold identity.
      Returns:
        the in place hold identity

    - #### getManagedByOrganization

          public java.lang.String getManagedByOrganization()

      Gets the managed by organization.
      Returns:
        the managed by organization